package core.notevault.ui.login;

import android.content.Context;
import android.util.Log;
import android.widget.Toast;
import core.notevault.sync.APICallback;
import core.notevault.sync.auth.LoginCallback;

public class LoginCallBackImpl implements APICallback {
    private Context context;

    public LoginCallBackImpl(Context context) {
        this.context = context;
    }

    @Override
    public void onSuccess() {
        Toast.makeText(context, "Login successfull", Toast.LENGTH_SHORT).show();

    }

    @Override
    public void onError(String error) {
        Log.d("Login", error);
        Toast.makeText(context, "Login not successfull: " + error, Toast.LENGTH_LONG).show();
    }
}
